### Method

# Gimp Image is_dirty

#### Declaration [src]

    gboolean
    gimp_image_is_dirty (
      GimpImage* image
    )

#### Description [src]

Checks if the image has unsaved changes.

This procedure checks the specified image’s dirty count to see if it needs to be saved. Note that saving the image does not automatically set the dirty count to 0, you need to call `gimp_image_clean_all()` after calling a save procedure to make the image clean.

When loading an image using e.g. `gimp_file_load()`, or when created by a `GimpLoadProcedure`, the image will be marked as clean. In other cases, it may sometimes be useful to clean programmatically created image yourself.

#### Return value

Type: `gboolean`

TRUE if the image has unsaved changes.